Bug 812813 - /usr/bin/apply_errata has a not documented option sat_host.
/usr/bin/apply_errata has a not documented option sat_host.
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Milan Zázrivec
Red Hat Satellite QA List
Depends On:
Blocks: space18
  Show dependency treegraph
Reported: 2012-04-16 06:14 EDT by Dimitar Yordanov
Modified: 2012-11-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-23 11:33:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dimitar Yordanov 2012-04-16 06:14:44 EDT
Description of problem:

Script /usr/bin/apply_errata  process an option "sat_host" that is not documented.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. vim /usr/bin/apply_errata 
2. Search for string "sat_host"
Actual results:
opt['sat_host'] = ""

   if opt['sat_host'] == "":
      opt['sat_host'] = getServer()

Expected results:
/usr/bin/apply_errata --help provides details about option "sat_host"

Additional info:
Comment 1 Miroslav Suchý 2012-04-23 11:33:04 EDT
This is not option. Opt is not directly populated by options (opts is populated). opt['sat_host'] is set on line 36:
   opt['sat_host'] = ""
so this is just weird coding by Colin.

Note You need to log in before you can comment on or make changes to this bug.